<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h4 class="title"><i class="pe-7s-angle-left-circle project_back" (click) = "back_to_project()" ></i>Edit Project</h4>
                </div>
                <div class="content">
                    <form #formCtrl="ngForm">
                        <div class="row col-md-12" style="align-content: center;">
                            <div class="col-md-8">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Project Name</label>
                                        <input type="text" class="form-control" [(ngModel)]= "projectDetails.projectName" placeholder="Project Name" name="project_name" required>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="control-label col-sm-2" for="taskTags">Visibility</label>
                                        <div class="col-sm-5">          
                                            <div class="radio" [ngClass]="{'checked':check_privacy_status(1)}">
                                                <span class="icons">
                                                    <span class="first-icon fa fa-circle-o"></span>
                                                    <span class="second-icon fa fa-dot-circle-o"></span>
                                                </span>
                                                <input checked = "checked" id="private" name="visibility" type="radio" value="1" [(ngModel)]= "projectDetails.privacyStatus">
                                                <label for="private">Private</label>
                                            </div>
                                        </div>
                                        <div class="col-sm-5">          
                                            <div class="radio" [ngClass]="{'checked':check_privacy_status(0)}">
                                                <span class="icons">
                                                    <span class="first-icon fa fa-circle-o"></span>
                                                    <span class="second-icon fa fa-dot-circle-o"></span>
                                                </span>
                                                <input id="public" name="visibility" type="radio" value="0" [(ngModel)]= "projectDetails.privacyStatus">
                                                <label for="public">Public</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Project Handle</label>
                                        <input type="text" [(ngModel)]= "projectDetails.projectHandle" class="form-control" placeholder="Project Handle" name="project_tags">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Project Assignees</label>
                                        <select class="project_assignee form-control" name="project_assignee" multiple="multiple">
                                            <option #projectAssignee *ngFor="let user of users;" [value]=user.id >{{user.first_name}}</option>
                                        </select>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-4">
                                <div class="col-md-12 assignee-info" *ngFor="let assignee of projectTaskAssignees;">
                                     <img style="" alt="" src="assets/img/faces/face-3.jpg" class="pull-left avatar border-gray">
                                    <div class="pull-left">
                                        <span class="testimonials-name">{{assignee.first_name}}</span><br>
                                        <span class="testimonials-post">{{assignee.email}}</span>
                                    </div>
                                    <i style="cursor:pointer;" id="task_{{assignee.id}}" class="fa fa-times pull-right _assignee_remove_icon" aria-hidden="true" data-toggle="modal" data-target="#deleteTaskAssignee" (click) = "remove_assignee($event)"></i>
                                </div>

                                <div class="col-md-12 assignee-info" *ngFor="let assignee of projectAssignees;">
                                     <img style="" alt="" src="assets/img/faces/face-3.jpg" class="pull-left avatar border-gray">
                                    <div class="pull-left">
                                        <span class="testimonials-name">{{assignee.first_name}}</span><br>
                                        <span class="testimonials-post">{{assignee.email}}</span>
                                    </div>
                                    <i style="cursor:pointer;" id="project_task_{{assignee.id}}" class="fa fa-times pull-right _assignee_remove_icon" aria-hidden="true" data-toggle="modal" data-target="#deleteProjectAssignee" (click) = "remove_assignee($event)" ></i>
                                </div>
                            </div>							
                        </div>

                        <button type="button" class="btn btn-info btn-fill pull-left" (click)="update_project()">Update</button>
                        
                        <button type="button" class="btn btn-danger btn-fill pull-left" data-toggle="modal" data-target="#deleteProject">Delete</button>

                        <div class="clearfix"></div>
                        <app-comments [type] = "type" ></app-comments>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="deleteTaskAssignee" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Delete Task Assignee</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">
                    <input type="hidden" name="deleteBoardId">
                    <div class="form-group">
                        <p class="text-danger" style="text-align: center;">Deleting this assignee will also delete all tasks assigned to him</p>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success btn-fill" (click) = "delete_assignee()" >Ok</button>
                <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="deleteProjectAssignee" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Delete Task Assignee</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">
                    <input type="hidden" name="deleteBoardId">
                    <div class="form-group">
                        <p class="text-danger" style="text-align: center;">After deleting this assignee, assignee from its project list will also removed</p>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success btn-fill" (click) = "delete_assignee()" >Ok</button>
                <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>

            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="deleteProject" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Delete Project</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">
                    <input type="hidden" name="deleteBoardId">
                    <div class="form-group">
                        <p class="text-danger" style="text-align: center;">Deleting this project, assignees and tasks of project will also removed.</p>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success btn-fill" (click) = "delete_project()" >Ok</button>
                <button type="button" class="btn btn-danger btn-fill" data-dismiss="modal">Close</button>

            </div>
        </div>
    </div>
</div>